import { Idl, Program, web3 } from "@coral-xyz/anchor";
import { Connection, Finality, PublicKey, SignaturesForAddressOptions } from "@solana/web3.js";
import { EventType } from "../types.svm";
export declare function findProgramAddress(label: string, program: PublicKey, extraSeeds?: string[]): {
    publicKey: PublicKey;
    bump: number;
};
export declare function readEvents<IDL extends Idl = Idl>(connection: Connection, txSignature: string, programs: Program<IDL>[], commitment?: Finality): Promise<{
    program: web3.PublicKey;
    data: any;
    name: string | undefined;
}[]>;
export declare function processEventFromTx(txResult: web3.VersionedTransactionResponse, programs: Program<any>[]): {
    program: web3.PublicKey;
    data: any;
    name: string | undefined;
}[];
export declare function readEventsUntilFound<IDL extends Idl = Idl>(connection: Connection, txSignature: string, programs: Program<IDL>[]): Promise<{
    program: web3.PublicKey;
    data: any;
    name: string | undefined;
}[]>;
export declare function getEvent(events: any[], program: PublicKey, eventName: string): any;
export declare function readProgramEvents(connection: Connection, program: Program<any>, finality?: Finality, options?: SignaturesForAddressOptions): Promise<EventType[]>;
export declare function subscribeToCpiEventsForProgram(connection: Connection, program: Program<any>, callback: (events: any[]) => void): number;
export declare function stringifyCpiEvent(obj: any, eventName: string): any;
